import request from '@/utils/request'

// 查询通话记录（支持扩展）列表
export function listLog(query) {
  return request({
    url: '/cti/log/list',
    method: 'get',
    params: query
  })
}

// 查询通话记录（支持扩展）详细
export function getLog(id) {
  return request({
    url: '/cti/log/' + id,
    method: 'get'
  })
}

// 新增通话记录（支持扩展）
export function addLog(data) {
  return request({
    url: '/cti/log',
    method: 'post',
    data: data
  })
}

// 修改通话记录（支持扩展）
export function updateLog(data) {
  return request({
    url: '/cti/log',
    method: 'put',
    data: data
  })
}

// 删除通话记录（支持扩展）
export function delLog(id) {
  return request({
    url: '/cti/log/' + id,
    method: 'delete'
  })
}
